import AccessGateComponent from './access/access-gate.vue';
import AccessGateSubmitComponent from './access/gate-submit-button.vue';
import AccessCreateUserComponent from './access/create-user.vue';
import AccessForgetPasswordComponent from './access/forgot-password.vue';
import AccessLoginUserComponent from './access/login-user.vue';
import AccessComponent from './Access.vue';
import AccessModule from './gate';


function install (Vue, args) {
    Vue.component('fieldGateSubmit', AccessGateSubmitComponent);
    Vue.component('access-gate', AccessGateComponent);
    Vue.component('access-register', AccessCreateUserComponent);
    Vue.component('access-login', AccessLoginUserComponent);
    Vue.component('access-forgot', AccessForgetPasswordComponent);
    Vue.component('access-register', AccessCreateUserComponent);
    Vue.component('Access', AccessComponent);
    args.Store.registerModule('accessGate', AccessModule);
    args.Store.commit('accessGate/setOptions', args.options);
}
export default {
  install
};
