export default {
    logged: state => {
        return state.logged;
    },

    checked: state => {
        return state.checked;
    },

    user: state => {
        return state.user;
    },

    profile: state => {
        return state.profile;
    },

    city: state => {
        return state.profile.city_id;
    },

    avatar: state => {
        return state.profile.avatarUrl;
    },

    verified: state => {
        return state.profile.verified;
    },

    bearer: state => {
        return state.bearer;
    },

    fullname: state => {
        return state.profile.fullname;
    },

    fname: state => {
        return state.profile.fname;
    },

    mname: state => {
        return state.profile.mname;
    },

    lname: state => {
        return state.profile.lname;
    },

    about: state => {
        return state.profile.about;
    },

    avatarTitle: state => {
        return state.profile.fname + "'s Profile Picture";
    },

    userLabel: state => {
        return 'Hey, ' + state.profile.fname + ' !';;
    },

    userAcceptedTerms: state => {
        return parseInt(state.profile.profileAcceptTermsConditions) ? true : false;
    },

    userAcceptedEmail: state => {
        return parseInt(state.profile.userAcceptedEmail) ? true : false;
    },

    userWallets: state => {
        return state.wallets;
    },

    ssoApiUrl: state => {
        return state.sso_api;
    },

    accountApiUrl: state => {
        return state.account_api;
    },
}
